import os


class StopWordRemover:
    def __init__(self):
        stop_words_path = os.path.join(os.path.dirname(__file__), '..', 'resources', 'stop_words.txt')
        with open(stop_words_path, 'r', encoding='utf-8') as file:
            self.stop_words = set(word.strip() for word in file.readlines())

    def remove_stop_words(self, text):
        words = text.split()
        remaining_words = [word for word in words if word not in self.stop_words]
        remaining_text = ' '.join(remaining_words)
        return remaining_text



